global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
logIngest:
  enabled: false
devops:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: devops
    tag: snapshot-046f9ff
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8014
    protocol: TCP
  resources:
    requests:
      cpu: '0.1'
      memory: 64Mi
    limits:
      cpu: '0.2'
      memory: 128Mi
  probes: {}
  services:
  - name: devops-service
    type: ClusterIP
    port: 8014
    targetPort: 8014
    serviceMonitor:
      enabled: false
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      interval: 30s
      scrapeTimeout: ''
  ingresses: {}
  configs:
    starrocksHost: freeleaps-starrocks-cluster-fe-service.freeleaps-data-platform.svc
    starrocksPort: 9030
    starrocksUser: freeleaps_dw_admin
    starrocksPassword: r7Y@QTb*7BQN@hDGsN
    starrocksDatabase: freeleaps
    prometheusEndpoint: http://kube-prometheus-stack-prometheus.freeleaps-monitoring-system:9090
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: freeleaps-devops-prod-secrets
      creationPolicy: Owner
    refreshInterval: 30s
    data:
    - key: appMongodbUri
      remoteRef:
        key: freeleaps-prod-mongodb-uri
        type: Secret
    - key: rabbitmqPassword
      remoteRef:
        key: freeleaps-prod-rabbitmq-password
        type: Secret
  vpa:
    minAllowed:
      enabled: false
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 100m
      memory: 128Mi
    controlledResources:
    - cpu
    - memory
